Video Screencast Help

SF - Diskgroup Import feature

Created: 17 Feb 2012 • Updated: 20 Mar 2012
Anoop_Kumar's picture
2 Agree
0 Disagree
+2 2 Votes
Login to vote
Status: In Review

Hello,

Environment overview :

Production uses vxvm filesystem.  SAN does a BCV clone on Prod DG and import cloned devices on Backup Media Server for backup purpose.

Prod uses 5.1SP1RP2 which is having maximum dg version as 160.  Media servers uses 5.1RP2 which is having maximum dg version as 150.

Issue 1 :

New DG is created on Prod and by default dg version is 160.  When tried to import clone devices for this DG on Media Server, it failed to import as 5.1RP2 does not support dg version 160.

- Solution :  Rebuild the DG with help of Symantec Support on Media Server to import it successfully.

Issue 2 :

As permanent solution to Issue 1, upgrade SF to 5.1SP1RP2 on media servers to import dg version 160 DGs.

However, when there was a attempt on Media Server to import a DG with dg version 120 from other Prod, it failed to import DG with same error "does not support dg version".  Symantec was contacted and declared known issue with 5.1SP1RP2.

- Solution :  Upgraded dg version on Prod Server. Did a resnap for BCV on SAN and imported cloned devices on Media Server.

 

IDEA :

It will be great if new feature can be developed in SF to upgrade the dg version during import command using a option.

e.g  If dg version is 120. And while I run command "vxdg import", there should be option to import as well as upgrade dg version.

Not sure, if dg version degrade feature can be developed or not, and will be disadvantage of that.

Thank you

Regards

~Anoop